/***************************************************************************
 *            copy_file.c
 *
 *  Fri Oct 24 11:26:25 2003
 *  Copyright  2003  Phil Kett
 *  pkett@genesis-midi.com
 ****************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>


int
copy_file (char *src, char *dest)
{
	int inF, outF;
	char line[512];
	int bytes, failed = 0;

	if ((inF = open (src, O_RDONLY)) == -1)
	{
		//printf ("Src: %s\n", src);
		perror ("open Src");
		//exit(-1);
		failed = 1;
	}
	if ((outF =
	     open (dest, O_WRONLY | O_CREAT,
		   S_IRWXU | S_IRWXG | S_IRWXO)) == -1)
	{
		//printf ("Dest: %s\n", dest);
		perror ("open Dest");
		//exit(-1);
		failed = 1;
	}
	//printf ("Copying %s to %s\n", src, dest);
	if (failed != 1)
	{
		while ((bytes = read (inF, line, sizeof (line))) > 0)
			write (outF, line, bytes);
	}
	else
	{
		printf ("Failed\n");
	}

	close (inF);
	close (outF);

	return 0;

}
